Graphics (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart

## Class Graphics

- java.lang.Object
- - com.twosigma.beakerx.chart.Graphics

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    CategoryGraphics, ConstantBand, ConstantLine, XYGraphics

      public abstract class Graphics
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Graphics()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `void` | `fireClick(GraphicsActionObject actionObject, com.twosigma.beakerx.message.Message message)`
    `void` | `fireOnKey(java.lang.String key, GraphicsActionObject actionObject, com.twosigma.beakerx.message.Message message)`
    `java.lang.String` | `getClickTag()`
    `abstract Color` | `getColor()`
    `java.lang.Object[]` | `getKeys()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getKeyTags()`
    `java.lang.String` | `getUid()`
    `java.lang.Boolean` | `getVisible()`
    `java.lang.String` | `getyAxis()`
    `java.lang.String` | `getYAxis()`
    `boolean` | `hasClickAction()`
    `Graphics` | `onClick(GraphicsActionListener onClickListener)`
    `Graphics` | `onClick(java.lang.String tag)`
    `Graphics` | `onKey(KeyboardCodes key, GraphicsActionListener listener)`
    `Graphics` | `onKey(KeyboardCodes key, java.lang.String tag)`
    `Graphics` | `onKey(java.lang.String key, GraphicsActionListener listener)`
    `Graphics` | `onKey(java.lang.String key, java.lang.String tag)`
    `abstract void` | `setColori(Color color)`
    `void` | `setVisible(boolean visible)`
    `void` | `setyAxis(java.lang.String yAxisName)`
    `void` | `setYAxis(java.lang.String yAxisName)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Graphics

          public Graphics()

  - ### Method Detail

    - #### setVisible

          public void setVisible(boolean visible)

    - #### getVisible

          public java.lang.Boolean getVisible()

    - #### setYAxis

          public void setYAxis(java.lang.String yAxisName)

    - #### setyAxis

          public void setyAxis(java.lang.String yAxisName)

    - #### getYAxis

          public java.lang.String getYAxis()

    - #### getyAxis

          public java.lang.String getyAxis()

    - #### getUid

          public java.lang.String getUid()

    - #### hasClickAction

          public boolean hasClickAction()

    - #### getClickTag

          public java.lang.String getClickTag()

    - #### getKeyTags

          public java.util.Map<java.lang.String,java.lang.String> getKeyTags()

    - #### getKeys

          public java.lang.Object[] getKeys()

    - #### onClick

          public Graphics onClick(GraphicsActionListener onClickListener)

    - #### onClick

          public Graphics onClick(java.lang.String tag)

    - #### fireClick

          public void fireClick(GraphicsActionObject actionObject,
                                com.twosigma.beakerx.message.Message message)

    - #### onKey

          public Graphics onKey(java.lang.String key,
                                GraphicsActionListener listener)

    - #### onKey

          public Graphics onKey(KeyboardCodes key,
                                GraphicsActionListener listener)

    - #### onKey

          public Graphics onKey(java.lang.String key,
                                java.lang.String tag)

    - #### onKey

          public Graphics onKey(KeyboardCodes key,
                                java.lang.String tag)

    - #### fireOnKey

          public void fireOnKey(java.lang.String key,
                                GraphicsActionObject actionObject,
                                com.twosigma.beakerx.message.Message message)

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### setColori

          public abstract void setColori(Color color)

    - #### getColor

          public abstract Color getColor()